---
- is_attacked:
   0:
      - is_navyExpenditure_available:
         1:
            - is_professionalarmy_researched:
               1:
                  - is_shipyard_level_enough:
                     0: 
                        - is_constructing:
                           0: 
                              - is_any_corruption:
                                 0: 
                                    - is_space_enough:
                                       1:
                                          - is_resource_enoghforHall:
                                             0: build_shipyard
                     1:
                        - is_shipyard_upgrading:
                           0:
                              - is_navy_trainning:
                                 0:
                                    - train_navy:
                                       211: buildShips_211
                                       212: buildShips_212
                                       213: buildShips_213
                                       214: buildShips_214
                                       215: buildShips_215
                                       216: buildShips_216
      - is_milityExpenditure_available:
         1:
            - is_professionalarmy_researched:
               1:
                  - is_barracks_level_enough:
                     0:
                        - is_constructing:
                           0: 
                              - is_any_corruption:
                                 0: 
                                    - is_space_enough:
                                       1:
                                          - is_resource_enoghforHall:
                                             0: build_barracks
                     1:
                        - is_barracks_upgrading:
                           0:
                              - is_army_trainning:
                                 0:
                                    - train_army:
                                       301: buildUnits_301
                                       302: buildUnits_302
                                       303: buildUnits_303
                                       304: buildUnits_304
                                       305: buildUnits_305
                                       306: buildUnits_306
                                       307: buildUnits_307
                                       308: buildUnits_308
                                       309: buildUnits_309
                                       310: buildUnits_310
                                       311: buildUnits_311
                                       312: buildUnits_312
                                       313: buildUnits_313
